HUGO-GEN-AUTOCOMPLETE(1)

NAME

hugo-gen-autocomplete - Generate shell autocompletion script for Hugo

SYNOPSIS

hugo gen autocomplete [flags]

DESCRIPTION

Generates a shell autocompletion script for Hugo.

NOTE: The current version supports Bash only.
      This should work for *nix systems with Bash installed.

By default, the file is written directly to /etc/bash_completion.d for convenience, and the command may need superuser rights, e.g.:

    $ sudo hugo gen autocomplete

Add --completionfile=/path/to/file flag to set alternative file-path and name.

Logout and in again to reload the completion scripts, or just source them in directly:

    $ . /etc/bash_completion

OPTIONS

--completionfile="/etc/bash_completion.d/hugo.sh"
    autocompletion file

-h, --help[=false]
    help for autocomplete

--type="bash"
    autocompletion type (currently only bash supported)

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-gen(1)